Supabase

Integrate your application with the Supabase API

🚀 Quickstart

Connect to Supabase with Tenklo and see data flow in 2 minutes.

Create the integration

In Tenklo (free signup), go to Integrations -> Configure New Integration -> Supabase.

Connect Supabase

Go to Connections -> Add Test Connection -> enter your Project URL and secret key. Later, you'll let your users do the same directly from your app.

Call the Supabase API

Make your first request to the Supabase REST API (query a table). Replace the placeholders below: use your Environment API key, integration ID, and connection ID, and replace <your_table> with your table name (e.g. todos, users).

curl "https://api.tenklo.dev/proxy/rest/v1/<your_table>" \
  -H "Authorization: Bearer <NANGO-API-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"

Or fetch credentials with the Node SDK or API.

✅ You're connected! Check the Logs tab in Tenklo to inspect requests.

Implement Tenklo in your app

Follow our Auth implementation guide to integrate Tenklo in your app.

To obtain your Project URL and secret key, follow the connect guide linked below.

📚 Supabase Integration Guides

Official docs: Supabase API

🧩 Pre-built syncs & actions for Supabase

Explore Nango-provided actions in your dashboard. Extend and customize them to fit your needs.

Others

Function nameDescriptionTypeSource code
copy-storage-objectCopy a storage object within or between buckets in Supabase.Action🔗 Github
create-auth-userCreate an auth user in Supabase.Action🔗 Github
create-signed-upload-urlGenerate a signed URL that allows a client to upload a file directly to Supabase Storage without exposing the service role key.Action🔗 Github
create-signed-urlGenerate a time-limited signed URL for accessing a private storage object.Action🔗 Github
create-storage-bucketCreate a storage bucket in Supabase.Action🔗 Github
create-storage-objectUpload a storage object to Supabase Storage.Action🔗 Github
delete-auth-factorDelete an MFA factor for a user in Supabase.Action🔗 Github
delete-auth-userDelete or archive a auth user in Supabase.Action🔗 Github
delete-storage-bucketDelete or archive a storage bucket in Supabase.Action🔗 Github
delete-storage-objectDelete or archive a storage object in Supabase.Action🔗 Github
delete-table-rowsDelete rows from a Supabase table.Action🔗 Github
generate-auth-linkGenerate a magic link, OTP, invite, signup, or recovery link for a user.Action🔗 Github
get-auth-userRetrieve a single auth user from Supabase.Action🔗 Github
get-storage-bucketRetrieve a single storage bucket from Supabase.Action🔗 Github
get-storage-objectRetrieve metadata for a single storage object from Supabase.Action🔗 Github
insert-table-rowInsert a row into a Supabase table.Action🔗 Github
invoke-rpcCall a Supabase Postgres function via PostgREST.Action🔗 Github
list-auth-factorsList MFA factors enrolled for a specific user in Supabase.Action🔗 Github
list-auth-usersList auth users from Supabase.Action🔗 Github
list-storage-bucketsList storage buckets from Supabase.Action🔗 Github
list-storage-objectsList storage objects from Supabase.Action🔗 Github
query-table-rowsQuery rows from a Supabase table through PostgREST.Action🔗 Github
update-auth-userUpdate an auth user in Supabase.Action🔗 Github
update-storage-bucketUpdate a storage bucket in Supabase.Action🔗 Github
update-storage-objectUpdate a storage object in Supabase.Action🔗 Github
update-table-rowsUpdate rows in a Supabase table.Action🔗 Github
upsert-table-rowInsert or update a row in a Supabase table, merging on conflict.Action🔗 Github
auth-usersSync auth users from Supabase.Sync🔗 Github
storage-bucketsSync storage buckets from SupabaseSync🔗 Github
storage-objectsSync storage objects from Supabase.Sync🔗 Github
table-rowsSync rows from a configured Supabase table.Sync🔗 Github

On this page